package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目用户对象 sur_project_userinfo
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public class SurProjectUserinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目主键 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 部门类型 */
    @Excel(name = "部门类型")
    private String deptType;

    /** 职务类型 */
    @Excel(name = "职务类型")
    private String jobType;

    /** 人员主键 */
    @Excel(name = "人员主键")
    private Long userId;

    /** 人员名称 */
    @Excel(name = "人员名称")
    private String nickName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phonenumber;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    private boolean state;
    private Long[] projectIds;
    private Long[] userIds;
    private String jobTypeName;
    private String roleId;
    private String deptTypeFlag;
    private String deptAncestors;

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectName() {
        return projectName;
    }

    public Long[] getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(Long[] projectIds) {
        this.projectIds = projectIds;
    }

    public Long[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Long[] userIds) {
        this.userIds = userIds;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setDeptType(String deptType) 
    {
        this.deptType = deptType;
    }

    public String getDeptType() 
    {
        return deptType;
    }
    public void setJobType(String jobType) 
    {
        this.jobType = jobType;
    }

    public String getJobType() 
    {
        return jobType;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getJobTypeName() {
        return jobTypeName;
    }

    public void setJobTypeName(String jobTypeName) {
        this.jobTypeName = jobTypeName;
    }

    public boolean isState() {
        return state;
    }

    public void setState() {
        this.state = false;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getDeptTypeFlag() {
        return deptTypeFlag;
    }

    public void setDeptTypeFlag(String deptTypeFlag) {
        this.deptTypeFlag = deptTypeFlag;
    }

    public String getDeptAncestors() {
        return deptAncestors;
    }

    public void setDeptAncestors(String deptAncestors) {
        this.deptAncestors = deptAncestors;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("deptType", getDeptType())
            .append("jobType", getJobType())
            .append("userId", getUserId())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
